1. Важное и срочное обновление IPB 3.4.5 - https://nulled.cc/threads/243375/

[Помощь] Ошибка после обновления до 3.4.5

Тема в разделе "IPB", создана пользователем alexXXL, 30 окт 2013.

Модераторы: Maybe
  1. alexXXL

    alexXXL Постоялец

    Регистр.:
    7 май 2012
    Сообщения:
    123
    Симпатии:
    8
    После обновления форума 3.0.4 до 3.4.5 появился белый экран и выскакивает следующая ошибка:
    Код:
    Warning: file_get_contents(IPS_CACHE_PATHcache/skin_cache/settingsEmpty.html) [function.file-get-contents]: failed to open stream: No such file or directory in /home/путь по форума/forum/admin/sources/base/ipsRegistry.php on line 584
    в 584 строчке файла ipsRegistry.php написано такое:
    Код:
    catch( Exception $e )
            {
                print file_get_contents( IPS_CACHE_PATH. 'cache/skin_cache/settingsEmpty.html' );
                exit;
            }
    Указанный файл settingsEmpty.html есть на хостинге и доступен для чтения.
    Помогите починить форум, пожалуйста
     
  2. Sorcus

    Sorcus Sorcus. A New Beginning.

    Moderator
    Регистр.:
    10 июл 2011
    Сообщения:
    320
    Симпатии:
    626
    А ошибочка-то как я понял не только у Вас:)
    Сайт случаем не Ваш?:crazy: Перейти по ссылке
    Нашел парочку рекомендаций.
    1. отключайте хуки.

    2. очищайте кеши.

    3. если не поможет - лог ошибок скинете
    P.S. Нашел тему на одном форуме. Гляньте, должно помочь. Перейти по ссылке
     
  3. Maybe

    Maybe

    Moderator
    Регистр.:
    7 июл 2008
    Сообщения:
    1.158
    Симпатии:
    1.198
    А это нормальный путь? IPS_CACHE_PATHcache/skin_cache/settingsEmpty.html
    Пробовали просто кеш почистить?
     
    Sorcus нравится это.
  4. alexXXL

    alexXXL Постоялец

    Регистр.:
    7 май 2012
    Сообщения:
    123
    Симпатии:
    8
    Нет, это не мой сайт)))
    Как кеш почистить, если в админку войти не могу? Почитал ссылку, решил удалить все старые файлы и установить новую версию. Установка пошла, но на этапе проверки БД застопорился... Указываю старую БД - предлагает либо переписать таблицы, либо обновиться. Выбираю обновление - пишет невозможно, ведь текущая версия форума 3.4.5
    Пытался обмануть - установить в новую БД, а потом в конфиге поменять БД на старую. Форум установился нормально, но после замены вылезает эта ошибка... Может в БД ошибка какая-нибудь?
    Восстановил БД из бекапа и заново обновился. Пока работает нормально.
     
    Последнее редактирование: 30 окт 2013
  5. WinsanT

    WinsanT Писатель

    Регистр.:
    15 янв 2012
    Сообщения:
    7
    Симпатии:
    2
    Вообще, на будущее, чтобы обновить IPB с версии 3.0 до версии 3.4, необходимо обновляться постепенно!
    3.0 > 3.1 > 3.2 > 3.3 и уже в последнюю очередь 3.4
    Это указано в информации по обновлению движка !

    А так же после каждой установки производить очистку кеша
    АЦ > Инструменты > Управление кешем
     
  6. Maybe

    Maybe

    Moderator
    Регистр.:
    7 июл 2008
    Сообщения:
    1.158
    Симпатии:
    1.198
    Извините, а где это указано? Киньте ссылкой пожалуйста
     
  7. alexXXL

    alexXXL Постоялец

    Регистр.:
    7 май 2012
    Сообщения:
    123
    Симпатии:
    8
    У меня в процессе обновления выскакивали надписи, что обновляется до 3.1. потом 3.2 и т.д, но обновлялось все автоматически....